Loading...
Searching...
No Matches
snmp_opts.h File Reference
`#include "lwip/opt.h"`

## Macros

#define | LWIP_SNMP 0
#define | SNMP_USE_NETCONN 0
#define | SNMP_USE_RAW 1
#define | SNMP_STACK_SIZE DEFAULT_THREAD_STACKSIZE
#define | SNMP_THREAD_PRIO DEFAULT_THREAD_PRIO
#define | SNMP_TRAP_DESTINATIONS 1
#define | SNMP_SAFE_REQUESTS 1
#define | SNMP_MAX_OCTET_STRING_LEN 127
#define | SNMP_MAX_OBJ_ID_LEN 50
#define | SNMP_MIN_VALUE_SIZE (2 * sizeof(u32_t*)) /* size required to store the basic types (8 bytes for counter64) */
#define | SNMP_MAX_VALUE_SIZE LWIP_MAX(LWIP_MAX((SNMP_MAX_OCTET_STRING_LEN), sizeof(u32_t)*(SNMP_MAX_OBJ_ID_LEN)), SNMP_MIN_VALUE_SIZE)
#define | SNMP_COMMUNITY "public"
#define | SNMP_COMMUNITY_WRITE "private"
#define | SNMP_COMMUNITY_TRAP "public"
#define | SNMP_MAX_COMMUNITY_STR_LEN LWIP_MAX(LWIP_MAX(sizeof(SNMP_COMMUNITY), sizeof(SNMP_COMMUNITY_WRITE)), sizeof(SNMP_COMMUNITY_TRAP))
#define | SNMP_LWIP_ENTERPRISE_OID 26381
#define | SNMP_DEVICE_ENTERPRISE_OID {1, 3, 6, 1, 4, 1, SNMP_LWIP_ENTERPRISE_OID}
#define | SNMP_DEVICE_ENTERPRISE_OID_LEN 7
#define | SNMP_DEBUG LWIP_DBG_OFF
#define | SNMP_MIB_DEBUG LWIP_DBG_OFF
#define | SNMP_LWIP_MIB2 LWIP_SNMP
#define | SNMP_LWIP_MIB2_SYSDESC "lwIP"
#define | SNMP_LWIP_MIB2_SYSNAME "FQDN-unk"
#define | SNMP_LWIP_MIB2_SYSCONTACT ""
#define | SNMP_LWIP_MIB2_SYSLOCATION ""
#define | SNMP_LWIP_GETBULK_MAX_REPETITIONS 0
#define | LWIP_SNMP_V3 0

## Detailed Description

SNMP server options list

## Macro Definition Documentation

## LWIP_SNMP_V3

#define LWIP_SNMP_V3 0

LWIP_SNMP_V3==1: This enables EXPERIMENTAL SNMPv3 support. LWIP_SNMP must also be enabled. THIS IS UNDER DEVELOPMENT AND SHOULD NOT BE ENABLED IN PRODUCTS.